ru.bitel.bgbilling.modules.hd.server.bean

## Class CommonDAO

- java.lang.Object
- - ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO

- Direct Known Subclasses:
    ZoneDAO

      public class CommonDAO
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `SQL_DELETE_FROM`
    `protected static java.lang.String` | `SQL_FROM`
    `protected static java.lang.String` | `SQL_INSERT_INTO`
    `protected static java.lang.String` | `SQL_LIMIT`
    `protected static java.lang.String` | `SQL_ORDER_BY`
    `protected static java.lang.String` | `SQL_SELECT`
    `protected static java.lang.String` | `SQL_SET`
    `protected static java.lang.String` | `SQL_UPDATE`
    `protected static java.lang.String` | `SQL_VALUES`
    `protected static java.lang.String` | `SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonDAO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Period` | `getPeriod(java.sql.ResultSet rs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SQL_SELECT

          protected static final java.lang.String SQL_SELECT

      See Also:
        Constant Field Values

    - #### SQL_FROM

          protected static final java.lang.String SQL_FROM

      See Also:
        Constant Field Values

    - #### SQL_WHERE

          protected static final java.lang.String SQL_WHERE

      See Also:
        Constant Field Values

    - #### SQL_ORDER_BY

          protected static final java.lang.String SQL_ORDER_BY

      See Also:
        Constant Field Values

    - #### SQL_VALUES

          protected static final java.lang.String SQL_VALUES

      See Also:
        Constant Field Values

    - #### SQL_SET

          protected static final java.lang.String SQL_SET

      See Also:
        Constant Field Values

    - #### SQL_INSERT_INTO

          protected static final java.lang.String SQL_INSERT_INTO

      See Also:
        Constant Field Values

    - #### SQL_UPDATE

          protected static final java.lang.String SQL_UPDATE

      See Also:
        Constant Field Values

    - #### SQL_DELETE_FROM

          protected static final java.lang.String SQL_DELETE_FROM

      See Also:
        Constant Field Values

    - #### SQL_LIMIT

          protected static final java.lang.String SQL_LIMIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommonDAO

          public CommonDAO()

  - ### Method Detail

    - #### getPeriod

          protected Period getPeriod(java.sql.ResultSet rs)
                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`